/// <reference path="~/www/js/fastclick.js" />

window.addEventListener('load', function () {
    FastClick.attach(document.body);
}, false);
var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
        console.log('initializing app');
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // `load`, `deviceready`, `offline`, and `online`.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
        console.log('binding events');
    },
    // deviceready Event Handler
    //
    // The scope of `this` is the event. In order to call the `receivedEvent`
    // function, we must explicity call `app.receivedEvent(...);`
    onDeviceReady: function() {
        app.receivedEvent('deviceready');
        if (navigator.connection && Connection && navigator.connection.type == Connection.NONE) {
            navigator.notification.alert("No data connection available. This app requires a data connection.", null, 'HazWx');
        }
    },
    // Update DOM on a Received Event
    receivedEvent: function(id) {
        if (parseFloat(window.device.version) === 7.0) {
            document.body.style.marginTop = "20px";
        }
        console.log('Received Event: ' + id);
    }
};
